 
%define version     1.8.0
%define rel         1

Summary: Gtkdiff is a graphical diff tool
Name: gtkdiff
Version: %{version}
Release: %mkrel %rel
License:  GPL 
URL: http://home.catv.ne.jp/pp/ginoue/software/gtkdiff
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
BuildRequires: gtk-devel  
BuildRequires: libgnome-devel
BuildRequires: db1-devel
BuildRequires: libx11-devel
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Gtkdiff is a graphical diff tool. It has diff3 and merge features. 
It's written with GTK+. After gtkdiff-0.8.0, it also requires GNOME. 
Its features are following:
* It has two view modes, one-pane and two-panes.
* Supports directory diff.
* Easy navigation across differences.

%prep
%setup -q -n %{name}-%{version}
 
%build
%configure2_5x 
 
%install
rm -Rf %{buildroot} 
%makeinstall_std 

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 gtkdiff.desktop $RPM_BUILD_ROOT%{_datadir}/applications

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/gtkdiff/gtkdiffrc $RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_sysconfdir}/gtkdiffrc $RPM_BUILD_ROOT%{_datadir}/gtkdiff

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{name}"\
icon="file_tools_section.png"\
title="Gtkdiff"\
longtitle="Gtkdiff is a graphical diff tool"\
needs="x11"\
section="System/File Tools" \
xdg="true"
EOF

desktop-file-install --vendor="" \
--add-category="GTK" \
--add-category="GNOME" \
--add-category="Filesystem" \
--add-category="System" \
--add-category="X-MandrivaLinux-System-FileTools" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus  

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/gtkdiffrc
%{_datadir}/gtkdiff/* 
%{_datadir}/gnome/apps/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%{_menudir}/*

%changelog
* Mon Aug 21 2006 Charles A Edwards <eslrahc@mandriva.org> 1.8.0-1mdv2007.0
- first mdv release

